# classes/phing/tasks/ext/coverage/CoverageMergerTask.php

## \CoverageMergerTask
jump to top

Merges code coverage snippets into a code coverage database

Use {@link Project#createTask} to register a new Task.

Extends from
  \Task
author
  Michiel Rook
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.coverage
since
  2.1.0
version
  $Id: CoverageMergerTask.php 552 2009-08-29 12:18:13Z mrook $

### Properties

`$filesets= 'array'`

the list of filesets containing the .php filename rules

Default value `array` Details

Type

### Methods

`addFileSet( \FileSet $fileset ) :`
Add a new fileset containing the .php files to process
Parameters

Name | Type | Description
--- | --- | ---
$fileset | \FileSet | the new fileset containing .php files

`getFilenames( ) : array`
Iterate over all filesets and return all the filenames.
Returns

Type | Description
--- | ---
array |

`main( ) :`
Documentation was generated by DocBlox 0.13.1.